def ffact(n):
    """
    Calcul de n! pour n>0

    Résultat: tuple( True/False, valeur)

    >>> ffact(4)
    (True, 24)

    >>> ffact(-4)
    (False, 0)
    """
    if n<= 0:
        return False,0
    else:
        ret = 1
        for i in range(1,n+1):
            ret *= i
        return True,ret
#
print(ffact(10))

